/*
(주)파이브센스_FIVESENSES.Corp.
파이브프로_FIVEPro_웹솔루션.
본 라이브러리(소스코드 및 디자인 포함)는 (주)파이브센스의 자산이며, 저작권법 및 부정경쟁방지법에 의해 보호됩니다.
무단 사용, 외부 유출, 복제, 배포, 변형을 금지합니다.
위반 시 민·형사상 법적 책임 및 손해배상 청구 대상이 됩니다.
작성일: 2025-03-18 | 저작권자: (주)파이브센스(520-86-01244) | All Rights Reserved.
*/

/* 타이틀 컨테이너 */
.main_icon15 .title_container {
    margin-bottom: 85px;
    text-align: center;
}

/* 카테고리 */
.main_icon15 .title_container .category {
    margin-bottom: 50px;
}

.main_icon15 .title_container .category span {
    display: inline-block;
    padding: 15px 20px;
}

.main_icon15 .title_container .category span,
.main_icon15 .title_container .category span p {
    width: auto;
    color: #fff;
    font-size: 20px;
    font-weight: 700;
    background-color: var(--main-point-color-hover);
    border-radius: 12px;
}

/* 타이틀 */
.main_icon15 .title_container .title h2,
.main_icon15 .title_container .title h2 p {
    color: #0c0c0c;
    font-size: 47px;
    font-weight: 700;
    line-height: 62px;
}

/* 아이콘 컨테이너 */
.main_icon15 .icon_container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-auto-rows: 1fr;
    gap: 30px;
}

.main_icon15 .icon_container .icon {
    padding: 45px 28px 30px;
    background-color: #fff;
    border-radius: 15px;
    box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.08);
}

/* 이미지 컨테이너 */
.main_icon15 .icon_container .img_container {
    position: relative;
    margin-bottom: 40px;
}

.main_icon15 .icon_container .img_container img {
    display: block;
    margin: 0 auto;
    object-fit: contain;
}

.main_icon15 .icon_container .img_container img.img_hover {
    /* height: 0;
    visibility: hidden;
    overflow: hidden; */
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    transition: opacity 0.3s ease;
    opacity: 0;
}
.main_icon15 .icon_container .icon.on .img_container img.img_hover {
    opacity: 1;
}

/* 텍스트 컨테이너 */
.main_icon15 .text_container .icontitle {
    margin-bottom: 28px;
    text-align: center;
}

.main_icon15 .text_container .icontitle h3,
.main_icon15 .text_container .icontitle p {
    color: #0c0c0c;
    font-size: 32px;
    font-weight: 700;
    line-height: 32px;
    word-break: keep-all;
}

.main_icon15 .text_container .icontext {
    text-align: center;
}

.main_icon15 .text_container .icontext div,
.main_icon15 .text_container .icontext p {
    color: #6c7682;
    font-size: 16px;
    font-weight: 400;
    line-height: 30px;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
    overflow: hidden;
    word-break: keep-all;
}

@media (max-width: 991px) {
    .main_icon15 .title_container {
        margin-bottom: 45px;
    }

    /* 카테고리 */
    .main_icon15 .title_container .category {
        margin-bottom: 20px;
    }
    
    .main_icon15 .title_container .category span {
        padding: 8px 15px;
    }

    .main_icon15 .title_container .category span, 
    .main_icon15 .title_container .category span p {
        font-size: 13px;
        border-radius: 8px;
    }

    /* 타이틀 */
    .main_icon15 .title_container .title h2,
    .main_icon15 .title_container .title h2 p {
        font-size: 23px;
        line-height: 34px;
    }
        
    /* 아이콘 컨테이너 */
    .main_icon15 .icon_container {
        grid-template-columns: 1fr;
        grid-auto-rows: auto;
        gap: 15px;
    }

    .main_icon15 .icon_container .icon {
        padding: 40px 28px 35px;
        border-radius: 18px;
    }
    
    /* 이미지 컨테이너 */
    .main_icon15 .icon_container .img_container {
        margin-bottom: 30px;
    }

    .main_icon15 .icon_container .img_container img {
        width: 55px;
    }

    /* 텍스트 컨테이너 */
    .main_icon15 .text_container .icontitle {
        margin-bottom: 17px;
    }

    .main_icon15 .text_container .icontitle h3,
    .main_icon15 .text_container .icontitle p {
        font-size: 19px;
        line-height: 16px;
    }

    .main_icon15 .text_container .icontext div,
    .main_icon15 .text_container .icontext p {
        font-size: 14px;
        line-height: 21px;
    }
}